#include <ESP8266WiFi.h>
#include <time.h>
#include <Adafruit_NeoPixel.h>


// Which pin on the esp-01 is connected to the NeoPixels?
#define PIN  2 // DATA PIN

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS 12 // Popular NeoPixel 
char time_value[25];

Adafruit_NeoPixel pixels(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

#define DELAYVAL 800 // Time (in milliseconds) to pause between pixels
#define WHITE pixels.Color(127,127,127)
#define RED pixels.Color(127,0,0)
#define GREEN pixels.Color(0,127,0)
#define BLUE pixels.Color(0,0,127)
#define OFF pixels.Color(0,0,0) 
#define CYAN pixels.Color(0,127,127)
#define YELLOW pixels.Color(127,127,0)

int minPixel=0;
int Chour,Cmin;





void setup() {
  
  WiFi.begin("User_name","Password");
  
  configTime(0 * 3600, 0, "in.pool.ntp.org", "time.nist.gov");
  
  setenv("TZ", "IST-5:30",1);

  while ( WiFi.status() != WL_CONNECTED ) {  
    for(int i=0; i<12; i++) { // For each pixel in strip...

        pixels.setPixelColor(i, YELLOW); 
        pixels.show();
        delay(200);
        
    }  
    
    pixels.clear();
    for(int i=0; i<12; i++) { // For each pixel in strip...

        pixels.setPixelColor(i, CYAN); 
        pixels.show();
        delay(200);
        
    } 
     
  pixels.clear();
  }  
   

pixels.clear(); // Set all pixel colors to 'off'
}

void loop() {

   time_t now = time(nullptr);
   String time = String(ctime(&now));
   time.trim();
   String curHour = time.substring(11,13); 
   Chour = curHour.toInt();
   String curMin = time.substring(14,16); 
   Cmin = curMin.toInt();
   int oldCmin = Cmin;
     if (oldCmin != Cmin) {
      oldCmin=Cmin;
      pixels.clear();
     }
   int Bmin = Cmin%5;
   int Imin = Cmin/5;


   pixels.clear(); // Set all pixel colors to 'off'

  if (Chour > 12){
    Chour = Chour - 12;
  } 
  if (Chour == 12){
    Chour = 0;
  }
  if (Imin == 12){
    Imin=0;
  }
  Serial.println("Chour Cmin");
  Serial.println(Chour);
  Serial.println(Imin); 
        if (Chour != Imin){
          pixels.setPixelColor(Chour, RED); 
          pixels.setPixelColor(Imin, GREEN);
          pixels.show();
        }
        if (Chour == Imin){
          pixels.setPixelColor(Imin, BLUE); 
          pixels.show();
        }
 
    delay(5000);
}
// loop ends here
